[vdr] Subtitles patch causing ProjectX warnings

Tony Houghton h at realh.co.uk
Sun Jun 17 00:56:21 CEST 2007


When demuxing my VDR recordings in ProjectX I get thousands of
apparently harmless warnings like this:

!> error in pes_extension of pes-ID 0xE0 @ pos: 101203597 (2048 / 19 / 20 / true / false)
!> error in pes_extension of pes-ID 0xC0 @ pos: 101229768 (592 / 16 / 37 / true / true)

I posted about a more serious problem at
<http://forum.dvbtechnics.info/showthread.php?t=3614> and someone
recognised these errors and thinks they're due to VDR's
subtitle/ttxtsubs patch. I'm not sure of the exact situation because the
full description of the problem is in German, but I gather that although
the subtitles are implemented in a plugin, VDR needs a patch to be able
to use it? Apparently it makes VDR write incorrect headers, at least as
far as ProjectX is concerned. Is this something that could be fixed in
VDR, or is it really ProjectX that needs fixing?

I'm not currently using subtitles, but I would probably find them useful
and might want to use the plugin. Besides, I'm using the Debian packages
and I don't want the inconvenience of recompiling without the patch.

-- 
TH * http://www.realh.co.uk



More information about the vdr mailing list